Name:       nodejs-node-uuid
Version:    1.3.3
Release:    1%{?dist}
Summary:    RFC4122v4 UUID generator for Node.js
License:    MIT or GPL+
URL:        https://github.com/isaacs/node-semver
Source0:    http://registry.npmjs.org/node-uuid/-/node-uuid-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

Obsoletes:      nodejs-uuid < 1.2.0-2
Provides:       nodejs-uuid = %{version}-%{release}

%description
Simple, fast generation of RFC4122v4 and non-RFC compact UUIDs.  It runs in
node.js and many browsers.

%prep
%setup -q -n package

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/node-uuid
cp -p uuid.js package.json %{buildroot}%{nodejs_libdir}/node-uuid

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/node-uuid
%doc README.md LICENSE.md

%changelog
* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.3-1
- new upstream release 1.3.3
- rename nodejs-uuid to nodejs-node-uuid to match npm name

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.0-1
- initial package
